net.minecraft.entity

## Class NpcMerchant

- java.lang.Object
- - net.minecraft.entity.NpcMerchant

- All Implemented Interfaces:
    IMerchant

      public class NpcMerchant
      extends Object
      implements IMerchant

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NpcMerchant(EntityPlayer par1EntityPlayer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_110297_a_(ItemStack par1ItemStack)`
    `EntityPlayer` | `getCustomer()`
    `MerchantRecipeList` | `getRecipes(EntityPlayer par1EntityPlayer)`
    `void` | `setCustomer(EntityPlayer par1EntityPlayer)`
    `void` | `setRecipes(MerchantRecipeList par1MerchantRecipeList)`
    `void` | `useRecipe(MerchantRecipe par1MerchantRecipe)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NpcMerchant

          public NpcMerchant(EntityPlayer par1EntityPlayer)

  - ### Method Detail

    - #### getCustomer

          public EntityPlayer getCustomer()

      Specified by:
        `getCustomer` in interface `IMerchant`

    - #### setCustomer

          public void setCustomer(EntityPlayer par1EntityPlayer)

      Specified by:
        `setCustomer` in interface `IMerchant`

    - #### getRecipes

          public MerchantRecipeList getRecipes(EntityPlayer par1EntityPlayer)

      Specified by:
        `getRecipes` in interface `IMerchant`

    - #### setRecipes

          public void setRecipes(MerchantRecipeList par1MerchantRecipeList)

      Specified by:
        `setRecipes` in interface `IMerchant`

    - #### useRecipe

          public void useRecipe(MerchantRecipe par1MerchantRecipe)

      Specified by:
        `useRecipe` in interface `IMerchant`

    - #### func_110297_a_

          public void func_110297_a_(ItemStack par1ItemStack)

      Specified by:
        `func_110297_a_` in interface `IMerchant`